# class Blather::MUC::Join

### Public Class Methods

new(password = nil) click to toggle source
Calls superclass method

    # File lib/gxg/net_clients.rb, line 195
    def self.new(password = nil)
      join = super :x
      join.password = password
      join
    end

### Public Instance Methods

password=(password) click to toggle source

    # File lib/gxg/net_clients.rb, line 201
    def password=(password)
      return if password.blank?
      create_password.content = password
    end

### Protected Instance Methods

create_password() click to toggle source

    # File lib/gxg/net_clients.rb, line 207
    def create_password
        unless create_password = find_first('ns:password', :ns => self.class.registered_ns)
            self << (create_password = XMPPNode.new('password', self.document))
        end
      create_password
    end